{
  "custom": {},
  "params": {
    "boolean": false,
    "configuring": false,
    "endDateDuration": {
      "number": "",
      "unit": ""
    },
    "equipmentPath": "",
    "timePeriod": "",
    "title": "Work Schedule"
  },
  "propConfig": {
    "params.boolean": {
      "paramDirection": "inout",
      "persistent": true
    },
    "params.configuring": {
      "onChange": {
        "enabled": null,
        "script": "\tviewParams\u003dself.params\n\tconfigParams\u003dself.getChild(\"root/configuration\").props.params\n\tif currentValue.value:\n\t\tconfigParams.titleIn \u003d viewParams.title\n\t\tconfigParams.equipmentPathIn \u003d viewParams.equipmentPath\n\t\tconfigParams.timePeriodIn \u003d viewParams.timePeriod\n\t\tconfigParams.endDateDurationIn.number \u003d viewParams.endDateDuration.number\n\t\tconfigParams.endDateDurationIn.unit \u003d viewParams.endDateDuration.unit\n\t\tconfigParams.booleanIn \u003d viewParams.boolean\n\telif previousValue is not None and previousValue.value:\n\t\tviewParams.title \u003d configParams.titleOut\n\t\tviewParams.equipmentPath \u003d configParams.equipmentPathOut\n\t\tviewParams.timePeriod \u003d configParams.timePeriodOut\n\t\tviewParams.endDateDuration.number \u003d configParams.endDateDurationOut.number\n\t\tviewParams.endDateDuration.unit \u003d configParams.endDateDurationOut.unit\n\t\tviewParams.boolean \u003d configParams.booleanOut"
      },
      "paramDirection": "input",
      "persistent": true
    },
    "params.endDateDuration": {
      "paramDirection": "inout",
      "persistent": true
    },
    "params.equipmentPath": {
      "paramDirection": "inout",
      "persistent": true
    },
    "params.timePeriod": {
      "paramDirection": "inout",
      "persistent": true
    },
    "params.title": {
      "paramDirection": "inout",
      "persistent": true
    }
  },
  "props": {
    "defaultSize": {
      "height": 348,
      "width": 1462
    }
  },
  "root": {
    "children": [
      {
        "meta": {
          "name": "configuration"
        },
        "position": {
          "basis": "320px",
          "display": false,
          "grow": 1
        },
        "propConfig": {
          "position.display": {
            "binding": {
              "config": {
                "path": "view.params.configuring"
              },
              "type": "property"
            },
            "persistent": true
          }
        },
        "props": {
          "params": {
            "booleanIn": false,
            "booleanOut": false,
            "endDateDurationIn": {
              "number": "",
              "unit": ""
            },
            "endDateDurationOut": {
              "number": "",
              "unit": ""
            },
            "equipmentPathIn": "",
            "equipmentPathOut": "",
            "timePeriodIn": "Current Shift",
            "timePeriodOut": "Current Shift",
            "titleIn": "Work Schedule",
            "titleOut": "Work Schedule"
          },
          "path": "Page/Widgets/Configuration/Schedule View Config"
        },
        "type": "ia.display.view"
      },
      {
        "children": [
          {
            "meta": {
              "name": "mesScheduleView"
            },
            "position": {
              "basis": "320px",
              "grow": 1
            },
            "propConfig": {
              "props.endDate": {
                "binding": {
                  "config": {
                    "struct": {
                      "input": "{view.params.endDateDuration.number}",
                      "startDate": "{this.props.startDate}",
                      "unit": "{view.params.endDateDuration.unit}"
                    },
                    "waitOnAll": true
                  },
                  "overlayOptOut": true,
                  "transforms": [
                    {
                      "expression": "if({value}[\"input\"] !\u003d \u0027\u0027 \u0026\u0026 {value}[\"unit\"] !\u003d \u0027\u0027, dateArithmetic({value}[\"startDate\"],{value}[\"input\"],{value}[\"unit\"]),{value}[\"startDate\"])",
                      "type": "expression"
                    }
                  ],
                  "type": "expr-struct"
                }
              },
              "props.equipmentPathFilter": {
                "binding": {
                  "config": {
                    "path": "view.params.equipmentPath"
                  },
                  "type": "property"
                }
              },
              "props.readOnly": {
                "binding": {
                  "config": {
                    "path": "view.params.boolean"
                  },
                  "type": "property"
                }
              },
              "props.startDate": {
                "binding": {
                  "config": {
                    "fallbackDelay": 2.5,
                    "mode": "expression",
                    "tagPath": "runScript(\u0027shared.mes.schedule.getTagPathForTimePeriodStart\u0027,0, {view.params.timePeriod}, {view.params.equipmentPath})"
                  },
                  "overlayOptOut": true,
                  "type": "tag"
                }
              },
              "props.title": {
                "binding": {
                  "config": {
                    "path": "view.params.title"
                  },
                  "transforms": [
                    {
                      "expression": "upper({value})",
                      "type": "expression"
                    }
                  ],
                  "type": "property"
                }
              }
            },
            "props": {
              "toolbarStyle": {
                "backgroundColor": "#004A98",
                "fontFamily": "Roboto",
                "fontSize": 15,
                "fontWeight": "normal",
                "paddingLeft": 10
              }
            },
            "type": "mes.production.scheduleView"
          }
        ],
        "meta": {
          "name": "runtime"
        },
        "position": {
          "basis": "200px",
          "grow": 1
        },
        "propConfig": {
          "position.display": {
            "binding": {
              "config": {
                "path": "view.params.configuring"
              },
              "transforms": [
                {
                  "expression": "!({value})",
                  "type": "expression"
                }
              ],
              "type": "property"
            }
          }
        },
        "props": {
          "style": {
            "paddingTop": 20
          }
        },
        "type": "ia.container.flex"
      }
    ],
    "meta": {
      "name": "root"
    },
    "props": {
      "direction": "column"
    },
    "type": "ia.container.flex"
  }
}